<?php
/*
Plugin Name: Ashley's WordPress Library
Plugin URI: https://amcgowan.co.uk/wp-content/uploads/projects-awp/ash-wp/info.json
description: A collection of basic functionality that i always use accross all plugins.
Version: 0.0.2
Author: Ashley McGowan
Author URI: https://amcgowan.co.uk/
License: GPL2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: ash-wp
*/

/**
 * NOTES 
 * Removed version control in the app so that the plugin can no longer be included as a standalone lib without errors, it was to complicated.
 * Created modules to keep related functions together.
 * 
 * Added functionality to form module to allow adding custom input fields
 * Added admin page module abstract that handles the page building and has override for handling input.
 * Moved some functions into different modules that make sense to be grouped.
 * 
 * Tidied directory
 * 
 * */


define("AWP_VERSION", "0.0.2");
define("AWP_PATH", plugin_dir_path(__FILE__));
define("AWP_URL", plugin_dir_url(__FILE__));
define("AWP_URI", AWP_URL);

define("AWP_UPDATE_URL", "https://amcgowan.co.uk/wp-content/uploads/projects-awp/ash-wp/info.json");

require_once "app.php";
$awpHandle = \awp\App::Instance();
$awpHandle->RegisterModule("info");





?>

